Queue
Cancel a queued job
Cancel a pending job. Only jobs in pending status can be canceled. Running jobs cannot be stopped. Returns the job status after the attempt. If the job is not pending, returns 409 with the current status unchanged.
POST
/
v1
/
queue
/
cancel
Together AI SDK (Python)
from together import Together
client = Together()
job = client.beta.jig.queue.cancel(
model="my-deployment",
request_id="req_abc123",
)
print(job.status)import Together from "together-ai";
const client = new Together();
const job = await client.beta.jig.queue.cancel({
model: "my-deployment",
request_id: "req_abc123",
});
console.log(job.status);
import Together from "together-ai";
const client = new Together();
const job = await client.beta.jig.queue.cancel({
model: "my-deployment",
request_id: "req_abc123",
});
console.log(job.status);
curl --request POST \
--url https://api.together.ai/v1/queue/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"request_id": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/queue/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => '<string>',
'request_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/queue/cancel"
payload := strings.NewReader("{\n \"model\": \"<string>\",\n \"request_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.together.ai/v1/queue/cancel")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"<string>\",\n \"request_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/queue/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"<string>\",\n \"request_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "canceled"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"status": "canceled"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}Authorizations
Body
application/json
Cancel request
Was this page helpful?
⌘I
Together AI SDK (Python)
from together import Together
client = Together()
job = client.beta.jig.queue.cancel(
model="my-deployment",
request_id="req_abc123",
)
print(job.status)import Together from "together-ai";
const client = new Together();
const job = await client.beta.jig.queue.cancel({
model: "my-deployment",
request_id: "req_abc123",
});
console.log(job.status);
import Together from "together-ai";
const client = new Together();
const job = await client.beta.jig.queue.cancel({
model: "my-deployment",
request_id: "req_abc123",
});
console.log(job.status);
curl --request POST \
--url https://api.together.ai/v1/queue/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"request_id": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/queue/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => '<string>',
'request_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/queue/cancel"
payload := strings.NewReader("{\n \"model\": \"<string>\",\n \"request_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.together.ai/v1/queue/cancel")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"<string>\",\n \"request_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/queue/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"<string>\",\n \"request_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "canceled"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"status": "canceled"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}